Draft Mirror/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 22: Line 22:
</div>
</div>


The Mirror tool can be used on 2D shapes created with the [[Draft Workbench|Draft Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part Workbench|Part]], [[PartDesign Workbench|PartDesign]], or [[Arch Workbench|Arch Workbench]]es.
The command can be used on 2D objects created with the [[Draft_Module|Draft Workbench]] or [[Sketcher_Workbench|Sketcher Workbench]], but also on many 3D objects such as those created with the [[Part_Module|Part Workbench]], [[PartDesign_Workbench|PartDesign Workbench]] or [[Arch_Module|Arch Workbench]].

To create copies or clones, and manually place them use [[Draft Move|Draft Move]], [[Draft Rotate|Draft Rotate]], and [[Draft Clone|Draft Clone]].


[[Image:Draft_Mirror_example.jpg|400px]]
[[Image:Draft_Mirror_example.jpg|400px]]
Line 32: Line 30:


==Usage==
==Usage==

See also: [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 40: Line 40:
# Faceți clic pe celălalt punct al liniei de simetrie/oglindire din vizualizarea 3D sau tastați un [[Draft_Coordinates | coordinate]]
# Faceți clic pe celălalt punct al liniei de simetrie/oglindire din vizualizarea 3D sau tastați un [[Draft_Coordinates | coordinate]]
</div>
</div>

After creating the mirrored copy, its binding with the original object can be removed using the {{Button|[[Image:Part_SimpleCopy.svg|16px]] [[Part_SimpleCopy|Part Create simple copy]]}} tool.

A mirrored copy of a Draft object can be turned into a [[Draft Wire|Draft Wire]], by using {{Button|[[Image:Draft Downgrade.svg|16px]] [[Draft Downgrade]]}} then {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade|Draft Upgrade]]}}.


==Options==
==Options==

The single character keyboard shortcuts mentioned here can be changed. See [[Draft_Preferences|Draft Preferences]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 52: Line 50:
* Oglinda unui obiect Draft poate fi de asemenea transformată într-un Wire Draft, utilizând [[Draft Downgrade]] apoi [[Draft Upgrade]].
* Oglinda unui obiect Draft poate fi de asemenea transformată într-un Wire Draft, utilizând [[Draft Downgrade]] apoi [[Draft Upgrade]].
</div>
</div>

==Notes==

* Mirrored copies of [[Draft_Line|Draft Lines]], [[Draft_Wire|Draft Wires]], [[Draft_Arc|Draft Arcs]] and [[Draft_Circle|Draft Circles]] can be turned into independent editable Draft objects by using [[Draft_Downgrade|Draft Downgrade]] and then [[Draft_Upgrade|Draft Upgrade]].
* The [[Part_SimpleCopy|Part SimpleCopy]] command can be used to create a copy of a mirrored object that is not linked to its source object.

==Preferences==

See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].

* To change the number of decimals used for the input of coordinates: {{MenuCommand|Edit → Preferences... → General → Units → Units settings → Number of decimals}}.


==Properties==
==Properties==

See also: [[property_editor|Property editor]].

A [[Part_Mirror|Part Mirror]] object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

===Data===

{{TitleProperty|Base}}

* {{PropertyData|Source|Link}}: specifies the object that is mirrored.

{{TitleProperty|Plane}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 61: Line 82:
</div>
</div>


== Scripting ==
==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">

Revision as of 07:59, 16 June 2021

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Draft Mirror

poziția meniului
Draft → Mirror
Ateliere
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Scale

Description

Descriere

Acest instrument produce o copie în oglindă a unui obiect selectat, utilizând un obiect Mirror Object. Copia este legată parametric de obiectul original: dacă se modifică obiectul original, copia oglindă se modifică și ea, dar rămâne oglindită.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

Usage

See also: Draft Snap and Draft Constrain.

Cum se utilizează

  1. Selectați obiectele pe care doriți să le reflectați
  2. Apăsați butonul Draft Mirror
  3. Faceți clic pe primul punct al liniei de oglindă din vizualizarea 3D sau tastați un coordinate
  4. Faceți clic pe celălalt punct al liniei de simetrie/oglindire din vizualizarea 3D sau tastați un coordinate

Options

The single character keyboard shortcuts mentioned here can be changed. See Draft Preferences.

Opțiuni

Notes

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Properties

See also: Property editor.

A Part Mirror object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Base

  • DateSource (Link): specifies the object that is mirrored.

Plane

Proprietăți

  • DateBase: Baza punctului planului de simetrie
  • DateNormal: Direcția normală la planul de simetrie

Scripting

Script-Programre

Unealta Clone poate fi folosită în macro-uri şi de la consola Python cu ajutorul funcţiei următoare:

To mirror objects use the mirror method of the Draft module.

mirrored_list = mirror(objlist, p1, p2)
  • Realizează oglinda (obiectelor) obiectului dat peste un plan definit de o linie de la p1 la p2 și paralel cu vizualizarea curentă
  • Rezultatul este un obiect Mirror Object
  • Dacă obiectul original se modifică, obiectul final se schimbă și el, dar rămâne oglindit

Exempluː

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(FreeCAD.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

p1 = App.Vector(2000, -1000, 0)
p2 = App.Vector(2000, 1000, 0)

line1 = Draft.make_line(p1, p2)
mirrored1 = Draft.mirror(polygon1, p1, p2)

Line2 = Draft.make_line(-p1, -p2)
mirrored2 = Draft.mirror([polygon1, polygon2], -p1, -p2)

doc.recompute()